﻿using System;
using System.Collections.Generic;
using System.Data.Common;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using OpenAccessModel2;
using Telerik.OpenAccess.Data.Common;

namespace ConsumerProject
{
    class Program1
    {
        static void Main(string[] args)
        {
            EntitiesModel dbContext = new EntitiesModel();
            if (dbContext != null)
            {
                Car myCar = new Car();
         
                using (OAConnection connection = dbContext.Connection)
                {
                    using (OACommand command = connection.CreateCommand())
                    {
                        command.CommandType = System.Data.CommandType.StoredProcedure;
                        command.CommandText = "SpName";
 
                        using (DbDataReader dataReader = command.ExecuteReader())
                        {
                            if (dataReader.HasRows)
                            {
                                IEnumerable<Car> carName = dbContext.Translate<Car>(dataReader);
                                foreach (Car c in carName)
                                {
                                    myCar = dbContext.AttachCopy<Car>(c);
                                }
                            }
 
                            dataReader.NextResult();
                            if (dataReader.HasRows)
                            {
                            }
                            if (!dataReader.IsClosed)
                                dataReader.Close();
                        }
                    }
                }
            }
        }
    }
}